npm-mr:
    extends: .install-pnpm-package
    only:
        - merge_requests
    except:
        variables:
            - $CI_COMMIT_REF_NAME =~ /^version/

composer-mr:
    extends: .install-composer-package
    only:
        - merge_requests
    except:
        variables:
            - $CI_COMMIT_REF_NAME =~ /^version/

zx-mr:
    extends: .tools-zx-package
    needs:
        - npm-mr
    only:
        - merge_requests
    except:
        variables:
            - $CI_COMMIT_REF_NAME =~ /^version/

phpcsfixer-mr:
    extends: .lint-phpcsfixer-package
    needs:
        - composer-mr
    only:
        - merge_requests
    except:
        variables:
            - $CI_COMMIT_REF_NAME =~ /^version/

pest-mr:
    extends: .test-pest-package-coverage
    needs:
        - composer-mr
    only:
        - merge_requests
    except:
        variables:
            - $CI_COMMIT_REF_NAME =~ /^version/

phpstan-mr:
    extends: .code-analysis-phpstan-package
    needs:
        - composer-mr
    only:
        - merge_requests
    except:
        variables:
            - $CI_COMMIT_REF_NAME =~ /^version/

docs-mr:
    extends: .docs-build-package
    needs:
        - npm-mr
    only:
        - merge_requests
    except:
        variables:
            - $CI_COMMIT_REF_NAME =~ /^version/
